package skyjed.buffer;


public class BooleanBufferView extends BooleanBuffer {

    private BooleanBuffer __buf;
    private int __offset;

    public BooleanBufferView(BooleanBuffer buf, int offset, int length) {
        super(length);
        __buf = buf;
        __offset = offset;
    }

    public boolean aget(int index) {
        return __buf.aget(__offset+index);
    }

    public void aput(int index, boolean b) {
        __buf.aput(__offset+index, b);
    }

}
