package skyjed.gui;

import javax.swing.Action;
import javax.swing.JButton;

import net.java.dev.designgridlayout.DesignGridLayout;
import skyjed.gui.action.ManagePokemonQAction;
import skyjed.gui.util.JPanelWindowHelper;
import skyjed.save.QuickSaveSlot;

public class QuickSaveEditPanel extends JPanelWindowHelper {

    private QuickSaveSlot qSaveSlot;

    private Action openPokemonQAction;

    /**
     * Create the panel.
     */
    public QuickSaveEditPanel(QuickSaveSlot qSave) {
        qSaveSlot = qSave;
        openPokemonQAction = new ManagePokemonQAction("Pokemon", qSaveSlot.pkmnQStorage.pkmns);
        initialize();
    }

    /**
     * Initialize the contents of the frame.
     */
    private void initialize() {
        JButton btnPokemonQ = new JButton(openPokemonQAction);

        DesignGridLayout layout = new DesignGridLayout(this);
        layout.emptyRow();
        layout.row().right().add(btnPokemonQ);
    }

    public QuickSaveSlot getSave() {
        return qSaveSlot;
    }

}
