package skyjed.gui.action;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;

import skyjed.gui.ManageItemsWindow;
import skyjed.save.SkyItem;

public class ManageItemsAction extends AbstractAction {
    private final SkyItem[] itemArray;
    private final String note;
    private final boolean enableFlags;
    private final boolean enableParams;

    public ManageItemsAction(String name, SkyItem[] itemArray, String note, boolean enableFlags, boolean enableParams) {
        super(name);
        this.itemArray = itemArray;
        this.note = note;
        this.enableFlags = enableFlags;
        this.enableParams = enableParams;
    }

    @Override
    public void actionPerformed(ActionEvent ev) {
        new ManageItemsWindow(itemArray, note, enableFlags, enableParams);
    }
}
