package skyjed.save;

import skyjed.buffer.BooleanBuffer;

public class SkyAttackEx {

    private static final int LEN_NO = 10;
    private static final int LEN_PP = 7;
    private static final int LEN_GINSENG = 7;

    public boolean isvalid;
    public boolean islinked;
    public boolean isswitched;
    public boolean isset;
    public boolean issealed;
    public int no;
    public int pp;
    public int ginseng;

    public SkyAttackEx() {}

    public SkyAttackEx(BooleanBuffer buf) {
        this();
        load(buf);
    }

    public void load(BooleanBuffer buf) {
        isvalid = buf.get();
        islinked = buf.get();
        isswitched = buf.get();
        isset = buf.get();
        issealed = buf.get();
        no = buf.getInt(LEN_NO);
        pp = buf.getInt(LEN_PP);
        ginseng = buf.getInt(LEN_GINSENG);
    }

    public void store(BooleanBuffer buf) {
        buf.put(isvalid);
        buf.put(islinked);
        buf.put(isswitched);
        buf.put(isset);
        buf.put(issealed);
        buf.putInt(no, LEN_NO);
        buf.putInt(pp, LEN_PP);
        buf.putInt(ginseng, LEN_GINSENG);
    }

}
