package skyjed.save;

import skyjed.buffer.BooleanBuffer;

public class SkyEgg {

    private static final int LEN_PKMN_NO = 11;
    private static final int LEN_UNK = 13;
    private static final int LEN_DAYS_TO_HATCH = 8;

    public SkyPkmnNo pkmnno;
    public int unk;
    public int daysToHatch;

    public SkyEgg() {
        pkmnno = new SkyPkmnNo();
    }

    public SkyEgg(BooleanBuffer buf) {
        this();
        load(buf);
    }

    public void load(BooleanBuffer buf) {
        pkmnno.load(buf.view(LEN_PKMN_NO));
        unk = buf.getInt(LEN_UNK);
        daysToHatch = buf.getInt(LEN_DAYS_TO_HATCH);
    }

    public void store(BooleanBuffer buf) {
        pkmnno.store(buf.view(LEN_PKMN_NO));
        buf.putInt(unk, LEN_UNK);
        buf.putInt(daysToHatch, LEN_DAYS_TO_HATCH);
    }

}
