package skyjed.save;

import skyjed.buffer.BooleanBuffer;

public class SkyPkmnNo {

    private static final int FEMALE_ADD = 600;
    private static final int LEN_NO = 11;

    public int no;
    public boolean isfemale;

    public SkyPkmnNo() {}

    public SkyPkmnNo(BooleanBuffer buf) {
        this();
        load(buf);
    }

    public void load(BooleanBuffer buf) {
        int mfno = buf.getInt(LEN_NO);
        no = mfno % FEMALE_ADD;
        isfemale = mfno >= FEMALE_ADD;
    }

    public void store(BooleanBuffer buf) {
        int mfno = no + (isfemale?FEMALE_ADD:0);
        buf.putInt(mfno, LEN_NO);
    }

}
