package skyjed.util;

import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

public abstract class PopupMouseAdapter extends MouseAdapter {

    protected abstract void popUp(MouseEvent e);

    public void mousePressed(MouseEvent e) {
        if(e.isPopupTrigger()) {
            popUp(e);
        }
    }

    public void mouseReleased(MouseEvent e) {
        if(e.isPopupTrigger()) {
            popUp(e);
        }
    }

}
