package skyjed.util;

import skyjed.resources.SkyCharsetRes;
import skyjed.util.SkyStringTrash.ParsedByte;

public class SkyCharConv {

    private static final int NAME_LENGTH = 10;

    public static SkyStringTrash decode(byte[] buf) {
        SkyCharsetRes charsetRes = SkyCharsetRes.getInstance();
        StringBuilder strb = new StringBuilder();

        // calculate real end of buffer (trimming trailing zeroes)
        int bufend = buf.length;
        while(bufend > 0 && buf[bufend-1] == 0) {
            bufend--;
        }

        for(int i=0; i<bufend; i++) {
            strb.append(charsetRes.byte2str(buf[i]));
        }

        return new SkyStringTrash(strb.toString());
    }

    // TODO pass here how long the buffer should be or make SkyStringTrash remember that
    public static byte[] encode(SkyStringTrash skystr) {
        ParsedByte[] parsed = skystr.getParsedBytes();

        byte[] buf = new byte[NAME_LENGTH];

        for(int i=0; i<parsed.length && i<NAME_LENGTH; i++) {
            buf[i] = parsed[i].byt;
        }

        return buf;
    }

}
