package skyjed.resources;

public class PropertyItem {
    private int id;
    private String value;
    private String format;

    public PropertyItem(int id, String value, String format) {
        this.id = id;
        this.value = value;
        this.format = format;
    }

    public PropertyItem(int id, String value) {
        this(id, value, "%2$s [%1$d]");
    }

    public String toString() {
        return String.format(format, id, value);
    }

    public int getId() {
        return id;
    }

    public String getValue() {
        return value;
    }
}
