package skyjed.save;

import skyjed.buffer.BooleanBuffer;

public class SkyAttackQ {

    public boolean isvalid;
    public boolean islinked;
    public boolean isswitched;
    public boolean isset;
    public boolean issealed;
    public int unkn;
    public int no;
    public int pp;
    public int ginseng;

    public SkyAttackQ() {}

    public SkyAttackQ(BooleanBuffer buf) {
        this();
        load(buf);
    }

    public void load(BooleanBuffer buf) {
        isvalid = buf.get();
        islinked = buf.get();
        isswitched = buf.get();
        isset = buf.get();
        issealed = buf.get();
        buf.skip(3); // remainder of flags
        unkn = buf.getInt(8);
        no = buf.getInt(16);
        pp = buf.getInt(8);
        ginseng = buf.getInt(8);
    }

    public void store(BooleanBuffer buf) {
        buf.put(isvalid);
        buf.put(islinked);
        buf.put(isswitched);
        buf.put(isset);
        buf.put(issealed);
        buf.skip(3); // remainder of flags
        buf.putInt(unkn, 8);
        buf.putInt(no, 16);
        buf.putInt(pp, 8);
        buf.putInt(ginseng, 8);
    }

}
