package skyjed.save.util;

public class SkyClipboardInfo {

    public static final int TYPE_NONE = 0;
    public static final int TYPE_SINGLE = 1;
    public static final int TYPE_ARRAY = 2;

    /** one of TYPE_NONE, TYPE_SINGLE or TYPE_ARRAY */
    public int type;
    /** only if type == TYPE_ARRAY */
    public int arrayLength;

    SkyClipboardInfo(int type) {
        this(type, 0);
    }

    SkyClipboardInfo(int type, int arrayLength) {
        this.type = type;
        this.arrayLength = arrayLength;
    }

}
