package skyjed.util;

import java.util.Arrays;

public class ArrayUtils {

    public static void copyInto(int[] dest, int[] src, int off) {
        for(int i=0; i<src.length; i++) {
            dest[off+i] = src[i];
        }
    }

    public static void copyInto(char[] dest, char[] src, int off) {
        for(int i=0; i<src.length; i++) {
            dest[off+i] = src[i];
        }
    }

    public static void copyInto(byte[] dest, byte[] src, int off) {
        for(int i=0; i<src.length; i++) {
            dest[off+i] = src[i];
        }
    }

    public static void copyInto(boolean[] dest, boolean[] src, int off) {
        for(int i=0; i<src.length; i++) {
            dest[off+i] = src[i];
        }
    }

    public static int[] copyFrom(int[] src, int off, int len) {
        return Arrays.copyOfRange(src, off, off+len);
    }

    public static char[] copyFrom(char[] src, int off, int len) {
        return Arrays.copyOfRange(src, off, off+len);
    }

    public static byte[] copyFrom(byte[] src, int off, int len) {
        return Arrays.copyOfRange(src, off, off+len);
    }

    public static boolean[] copyFrom(boolean[] src, int off, int len) {
        return Arrays.copyOfRange(src, off, off+len);
    }

    public static byte[] toBytes(int... ints) {
        byte[] result = new byte[ints.length];
        for(int i=0; i<ints.length; i++) {
            result[i] = (byte) ints[i];
        }
        return result;
    }

}
